# reveal.js-plugins

This is a collection of plugins for [Reveal.js](https://github.com/hakimel/reveal.js) - a framework for easily creating beautiful presentations using HTML. Example presentations and demos for these plugins can be found and added [here](https://github.com/rajgoel/reveal.js-plugins/wiki/Example-presentations).

This collections includes the following plugins:

- [Anything](https://github.com/rajgoel/reveal.js-plugins/tree/master/anything) ([Demo](https://rajgoel.github.io/reveal.js-demos/anything-demo.html)): A plugin for adding plots, charts, animated SVGs,or anything else inside an HTML object using a JSON string and a javascript function.
- [Audio slideshow](https://github.com/rajgoel/reveal.js-plugins/tree/master/audio-slideshow) ([Demo](https://rajgoel.github.io/reveal.js-demos/audio-slideshow-demo.html)): A plugin for audio playback and recording.
- [Broadcast](https://github.com/rajgoel/reveal.js-plugins/tree/master/broadcast) ([Demo](https://rajgoel.github.io/reveal.js-demos/broadcast-demo.html)): An extension of the multiplex plugin allowing to broadcast audio and video.
- [Chalkboard](https://github.com/rajgoel/reveal.js-plugins/tree/master/chalkboard) ([Demo](https://rajgoel.github.io/reveal.js-demos/chalkboard-demo.html)):
 A plugin adding a chalkboard and slide annotation.
- [Chart](https://github.com/rajgoel/reveal.js-plugins/tree/master/chart) ([Demo](https://rajgoel.github.io/reveal.js-demos/chart-demo.html)):
 A plugin for using Chart.js v2.0. 
- [Custom controls](https://github.com/rajgoel/reveal.js-plugins/tree/master/customcontrols) ([Demo](https://rajgoel.github.io/reveal.js-demos/customcontrols-demo.html)): 
 A plugin for customization of controls.
- [Embed tweet](https://github.com/rajgoel/reveal.js-plugins/tree/master/embed-tweet) ([Demo](https://rajgoel.github.io/reveal.js-demos/embed-tweet-demo.html)):
 A plugin allowing to easily embed tweets in your slides.
- [Fullscreen](https://github.com/rajgoel/reveal.js-plugins/tree/master/fullscreen) ([Demo](https://rajgoel.github.io/reveal.js-demos/fullscreen-demo.html)):
 A simple plugin allowing to use fullscreen slides.
- [MathSVG](https://github.com/rajgoel/reveal.js-plugins/tree/master/mathsvg):
 An extension of the [math.js](https://github.com/hakimel/reveal.js/#mathjax) plugin allowing to render LaTeX expressions in SVG.
- [Menu](https://github.com/denehyg/reveal.js-menu) ([Demo](https://denehyg.github.io/reveal.js-menu)): A plugin by Greg Denehy for adding a slideout menu.
- [Spreadsheet](https://github.com/rajgoel/reveal.js-plugins/tree/master/spreadsheet) ([Demo](https://rajgoel.github.io/reveal.js-demos/spreadsheet-demo.html)):
 A plugin for adding Excel-like spreadsheets with formulas.

## Getting started

The source code of the demos can be found here: https://github.com/rajgoel/reveal.js-demos.

## Download

You can download the plugins into the ```bower_components``` folder using

```bower install reveal.js-plugins```

or manually copy this repository next to the folder of your reveal.js presentation.

Please note that the [menu](https://github.com/denehyg/reveal.js-menu)-plugin is a submodule and has to be downloaded separately.

## License

MIT licensed

Copyright (C) 2017 Asvin Goel

